Package org.apache.sling.feature.builder

# Interface ArtifactProvider

All Known Implementing Classes:
  `ArtifactManager`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@ConsumerType @FunctionalInterface public interface ArtifactProvider
The artifact provider provides a URL for an artifact.

## Method Summary

Modifier and Type
Method
Description
`URL`
`provide(ArtifactId id)`
Provide the artifact with the given id.

## Method Details

### provide

URL provide(ArtifactId id)
Provide the artifact with the given id.

Parameters:
  `id` - The artifact id
Returns:
  The URL or `null`